Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.gui.stepsettings
Class ListSelectEditor

    java.lang.Object
      javax.swing.AbstractCellEditor
          javax.swing.DefaultCellEditor
              edu.udo.cs.miningmart.gui.stepsettings.ParameterEditor
                  edu.udo.cs.miningmart.gui.stepsettings.SelectEditor
                      edu.udo.cs.miningmart.gui.stepsettings.ListSelectEditor

All Implemented Interfaces:
  java.awt.event.ActionListener, java.awt.event.ItemListener, java.io.Serializable, java.util.EventListener, javax.swing.CellEditor, javax.swing.table.TableCellEditor, javax.swing.table.TableCellRenderer, javax.swing.tree.TreeCellEditor

Direct Known Subclasses:
  ListBaseAttributeEditor, ListConceptEditor, ListFeatureEditor, ListMCFeatureEditor, ListOneOfValueEditor, ListOutputEditor, ListRelationEditor, ListValueEditor

    public class ListSelectEditor

extends SelectEditor
implements java.awt.event.ActionListener, java.awt.event.ItemListener

An editor and renderer for multi-selection.

Version:
  $Id: ListSelectEditor.java,v 1.4 2006/09/27 14:59:58 euler Exp $
Author:
  Daniel Hakenjos
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.DefaultCellEditor
`javax.swing.DefaultCellEditor.EditorDelegate`

Field Summary
`protected javax.swing.JComboBox` | `box`
`protected java.lang.String[]` | `data`
`protected java.lang.String[]` | `selected_data`

Fields inherited from class edu.udo.cs.miningmart.gui.stepsettings.SelectEditor
`button, table`

Fields inherited from class edu.udo.cs.miningmart.gui.stepsettings.ParameterEditor
`app, editable, loopnumber, numberofloops, oldparamcollections, opParam, paramcollections, step`

Fields inherited from class javax.swing.DefaultCellEditor
`clickCountToStart, delegate, editorComponent`

Fields inherited from class javax.swing.AbstractCellEditor
`changeEvent, listenerList`

Constructor Summary
`ListSelectEditor(MiningMartApplication app, Step step, OpParam opParam)` Constructs a new `ListSelectEditor`.

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)` For your own selection you must overwrite this method.
`java.lang.Object` | `getCellEditorValue()` Gets the value of the editor.
`java.lang.String[]` | `getDataItems()`
`java.util.Collection` | `getSelectedValues()` Gets the selected values.
`void` | `init()` Inits this editor for the current loopnumber.
`void` | `itemStateChanged(java.awt.event.ItemEvent e)`
`void` | `setDataItems(java.lang.String[] items)` Sets the data items.
`void` | `setEditable()` Sets the editable-flag.

Methods inherited from class edu.udo.cs.miningmart.gui.stepsettings.SelectEditor
`getListOfAttributesToSelectAttributeFrom, showErrorMessage, showErrorMessage`

Methods inherited from class edu.udo.cs.miningmart.gui.stepsettings.ParameterEditor
`addChangeListener, cancelEditing, existsOutput, fireStateChanged, getAllParameterCollections, getChangeListener, getChangeListenerCount, getLoopNumber, getNumberOfLoops, getParameterCollection, getParameterCollection, getTableCellRendererComponent, getTheOpParam, makeOutput, removeAllChangeListener, removeChangeListener, setCollectionsInStep, setLoopNumber, setNumberOfLoops, setParameterCollection, setParameterCollection`

Methods inherited from class javax.swing.DefaultCellEditor
`cancelCellEditing, getClickCountToStart, getComponent, getTableCellEditorComponent, getTreeCellEditorComponent, isCellEditable, setClickCountToStart, shouldSelectCell, stopCellEditing`

Methods inherited from class javax.swing.AbstractCellEditor
`addCellEditorListener, fireEditingCanceled, fireEditingStopped, getCellEditorListeners, removeCellEditorListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.CellEditor
`addCellEditorListener, removeCellEditorListener`

Methods inherited from interface javax.swing.CellEditor
`addCellEditorListener, removeCellEditorListener`

Field Detail

### box

    protected javax.swing.JComboBox box

### data

    protected java.lang.String[] data

### selected_data

    protected java.lang.String[] selected_data

Constructor Detail

### ListSelectEditor

    public ListSelectEditor(MiningMartApplication app,
                            Step step,
                            OpParam opParam)

  Constructs a new `ListSelectEditor`.

Method Detail

### init

    public void init()

  Description copied from class: `ParameterEditor`
  Inits this editor for the current loopnumber. This method is useful in subclasses to set the text or list.

  Overrides:
    `init` in class `ParameterEditor`

### getCellEditorValue

    public java.lang.Object getCellEditorValue()

  Gets the value of the editor.

  Specified by:
    `getCellEditorValue` in interface `javax.swing.CellEditor`
  Overrides:
    `getCellEditorValue` in class `javax.swing.DefaultCellEditor`

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  For your own selection you must overwrite this method. Especially to construct the list.

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`
  See Also:
    `ActionListener.actionPerformed(ActionEvent)`

### getSelectedValues

    public java.util.Collection getSelectedValues()

  Gets the selected values.

### itemStateChanged

    public void itemStateChanged(java.awt.event.ItemEvent e)

  Specified by:
    `itemStateChanged` in interface `java.awt.event.ItemListener`
  See Also:
    `ItemListener.itemStateChanged(ItemEvent)`

### setDataItems

    public void setDataItems(java.lang.String[] items)

  Sets the data items.

### getDataItems

    public java.lang.String[] getDataItems()

### setEditable

    public void setEditable()

  Description copied from class: `ParameterEditor`
  Sets the editable-flag.

  Overrides:
    `setEditable` in class `ParameterEditor`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005